> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete several room recordings in a bulk.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml delete /room_recordings
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_recordings:
    delete:
      tags:
        - Room Recordings
      summary: Delete several room recordings in a bulk.
      operationId: DeleteRoomRecordings
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          required: false
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[date_ended_at][eq], filter[date_ended_at][gte],
            filter[date_ended_at][lte], filter[date_started_at][eq],
            filter[date_started_at][gte], filter[date_started_at][lte],
            filter[room_id], filter[participant_id], filter[session_id],
            filter[status], filter[type], filter[duration_secs]
          schema:
            type: object
            properties:
              date_ended_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings ended on that
                      date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings ended on or
                      after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings ended on or
                      before that date.
              date_started_at:
                type: object
                properties:
                  eq:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings started on
                      that date.
                  gte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings started on or
                      after that date.
                  lte:
                    type: string
                    format: date
                    example: '2021-04-25'
                    description: >-
                      ISO 8601 date for filtering room recordings started on or
                      before that date.
              room_id:
                type: string
                format: uuid
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: room_id for filtering room recordings.
              participant_id:
                type: string
                format: uuid
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: participant_id for filtering room recordings.
              session_id:
                type: string
                format: uuid
                example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
                description: session_id for filtering room recordings.
              status:
                type: string
                example: completed
                description: status for filtering room recordings.
              type:
                type: string
                example: audio
                description: type for filtering room recordings.
              duration_secs:
                type: integer
                example: 20
                description: duration_secs greater or equal for filtering room recordings.
        - $ref: '#/components/parameters/video_PageConsolidated'
      responses:
        '201':
          $ref: '#/components/responses/BulkDeleteRoomRecordingsResponse'
        '422':
          $ref: '#/components/responses/video_UnprocessableEntity'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.roomRecordings.deleteBulk();

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.room_recordings.delete_bulk()
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.RoomRecordings.DeleteBulk(context.TODO(), telnyx.RoomRecordingDeleteBulkParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.roomrecordings.RoomRecordingDeleteBulkParams;

            import
            com.telnyx.sdk.models.roomrecordings.RoomRecordingDeleteBulkResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RoomRecordingDeleteBulkResponse response = client.roomRecordings().deleteBulk();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.room_recordings.delete_bulk

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->roomRecordings->deleteBulk(
                filter: [
                  'dateEndedAt' => [
                    'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
                  ],
                  'dateStartedAt' => [
                    'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
                  ],
                  'durationSecs' => 20,
                  'participantID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
                  'roomID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
                  'sessionID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
                  'status' => 'completed',
                  'type' => 'audio',
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx room-recordings delete-bulk \
              --api-key 'My API Key'
components:
  parameters:
    video_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page.
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load.
  responses:
    BulkDeleteRoomRecordingsResponse:
      description: Successful response for Bulk Delete Room recordings requests
      content:
        application/json:
          schema:
            type: object
            title: Bulk Room Recordings Delete Response
            properties:
              data:
                type: object
                properties:
                  room_recordings:
                    type: integer
                    description: Amount of room recordings affected
                    example: 5
    video_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/video_Errors'
  schemas:
    video_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/video_Error'
      type: object
    video_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````